summaryrefslogtreecommitdiff
path: root/test/test.sh
diff options
context:
space:
mode:
authorRyan Doyle <ryan@doylenet.net>2017-03-27 21:48:26 +1100
committerAnders Broman <a.broman58@gmail.com>2017-06-22 16:22:59 +0000
commitf24ffb0bcd12c3dce1e48b7a34c48a6be62c45e4 (patch)
treedfdced4d009cadc87546597fdccf954cfc66d289 /test/test.sh
parentcfb23d874345eede2860afa155b181a2e2e208c0 (diff)
downloadwireshark-f24ffb0bcd12c3dce1e48b7a34c48a6be62c45e4.tar.gz
http2: reassemble entity bodies in data frames
This commit reassembles data frames to build up the full entity body. It does this for both client/server request and responses. Additionally, it also decompresses bodies if they have the correct content-encoding header provided and are not partial bodies. Bug: 13543 Change-Id: I1661c9ddd09c1f6cf5a08b2b1921f95103aebb52 Reviewed-on: https://code.wireshark.org/review/20737 Petri-Dish: Anders Broman <a.broman58@gmail.com> Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'test/test.sh')
-rwxr-xr-xtest/test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/test.sh b/test/test.sh
index d469eccc22..375a647458 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -62,6 +62,7 @@ Usage: $THIS [-c] [-h] [-s <suite>]
prerequisites
unittests
wslua
+ dissection
FIN
exit 0
fi
@@ -110,6 +111,7 @@ source $TESTS_DIR/suite-nameres.sh
source $TESTS_DIR/suite-wslua.sh
source $TESTS_DIR/suite-mergecap.sh
source $TESTS_DIR/suite-text2pcap.sh
+source $TESTS_DIR/suite-dissection.sh
test_cleanup() {
if [ $TEST_OUTDIR_CLEAN = 1 ]; then
@@ -172,6 +174,7 @@ test_suite() {
test_suite_add "Mergecap" mergecap_suite
test_suite_add "File formats" fileformats_suite
test_suite_add "Text2pcap" text2pcap_suite
+ test_suite_add "Dissection" dissection_suite
}
@@ -223,6 +226,9 @@ if [ -n "$RUN_SUITE" ] ; then
"text2pcap")
test_suite_run "Text2pcap" text2pcap_suite
exit $? ;;
+ "dissection")
+ test_suite_run "Dissection" dissection_suite
+ exit $? ;;
esac
fi